Subject: Fwd: Some question on Lojban (was: Books on interlinguistics)

From: "Bob LeChevalier (lojbab)" <[email-masked]>
Date: Sun, 19 Aug 2001 11:29:04 -0400

I'm posting this to list because, while I intend to answer it myself on 
alt.language.artificial, there are some issues raised that Nick and others 
will have opinions on, opinions that are significant based on our current 
debates, and which render me unable to claim to speak for the unanimity of 
the community.

lojbab

>From: Peter Kleiweg <[email-masked]>
>To: Bob LeChevalier <[email-masked]>
>Subject: Some question on Lojban (was: Books on interlinguistics)
>
>I wrote, on 4 Aug 2001, in europa.linguas and sci.lang:
> > > Can anyone recommend books on interlinguistics? So far, the only
> > > book I could find at my university library, other than books on
> > > language planning in general, was:
>
>To which you responded by e-mail on 5 Aug 2001:
>
> > Given how the thread turned out, I would suggest you check out Lojban
> > (www.lojban.org). We have a reference grammar that is book length on 
> the web
> > or you can buy it in print, and it has little to do with Esperanto. We 
> don't
> > talk about it much on the newsgroups these days because the community is
> > burgeoning with too much stuff to follow without reaching outside, but 
> there
> > are three public mailing lists on yahoogroups (one of which runs at 20-30
> > messages per day), a wiki-wiki web site (which is something like a
> > self-threaded mailing list on the web), and innumerable other sites 
> springing
> > up. The collection of Lojbanists includes people skilled in most of the
> > other major constructed languages (our leaders include two of the three 
> that
> > did the Klingon translation of Hamlet, for example).
>
>Finally, I got time to look at Lojban. I read the brochure, the
>FAQ, the first two chapters of the reference grammar, and the
>first four documents in the section "why lojban".
>
>I have some questions and comments. If you would like to
>respond, please do so in alt.language.artificial, that would be
>much appreciated.
>
>I graduated in artificial intelligence, and computational
>processing of natural languages. So I guess I know a bit more
>about language and computers than the average person, though I'm
>still no expert. The most striking aspect of Lojban, its use
>of predicate logic, is what makes me wonder most.
>
>Computers, using symbolic methods, are not nearly as good as
>humans, when it comes to understanding natural (human) language.
>Production is a bit easier for computers. To humans,
>understanding (listening, reading) is easier than production.
>The core of human thinking is not based on logic reasoning, but
>on use of analogies, and fuzzy pattern matching. With this in
>mind, to me, predicate logic does not seem the best choice as a
>starting point for creating a language to be used by humans.
>
>A lot is written about the potential usefulness of Lojban as an
>interlanguage in machine translation. I don't dispute that
>Lojban could improve the performances of such systems, based on
>symbolic processing. However, the suggestion that Lojban might
>be the key to reach true Artificial Intelligence seems very
>doubtful to me. I don't think symbolism will solve the frame
>problem or the grounding problem. For these, you need
>connectionist, adaptive systems. (A third approach is pure
>statistical methods, which at the moment seem to be the most
>effective in speech recognition.)
>
>My instincts tell me that much of what we see as irregularity in
>language is actually quite useful, and might be helpful in
>learning and using a language (certainly for young children). A
>purely logical language might be too slippery to get a grip on.
>Like a neural net can't learn without noise.
>
>As to what might happen to Lojban once it is set free, I have a
>few prediction:
>
>- Chunking will occur. People memorise frequently occurring
> combinations of words as a set combination (or a compound as
> fixed word) to increase processing speed. It is inevitable
> that these set combinations, collocations, will in time become
> to mean something that is no longer reducible to the meaning
> of the parts it is built from.
>
>- Because of humans thinking in analogues, words will develop
> double meanings. People will use the same word for things they
> see as analogues. A "root" will in time not just be a part of
> a plant, but also mean something like "home ground".
>
>I don't know how much these kind of developments (if they occur)
>will damage Lojban, or whether they are just those kinds of
>things Lojban was designed to demonstrate.
>
>Some general questions:
>
>Lojban is backed by only a single organisation, The Logical
>Language Group. How solid is this support? What happens to
>Lojban if the LLG comes to an end? How solid are plans for
>future developments and application? How active are the people
>who work on Lojban? What kind of people are involved? Why isn't
>the website updated for more than a year?
>
>--
>Peter Kleiweg
>http://www.let.rug.nl/~kleiweg/

--
lojbab [email-masked]
Bob LeChevalier, President, The Logical Language Group, Inc.
2904 Beau Lane, Fairfax VA 22031-1303 USA 703-385-0273
Artificial language Loglan/Lojban: http://www.lojban.org